> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.adapters.smartchartjs3adapter.md).

# SmartChartJS3Adapter

Namespace: **Wisej.AI.Adapters**

Assembly: **Wisej.AI** (3.5.0.0)

* [SmartAdapter](/ai/components/api/smartadapter.md)
  * [SmartChartAdapter](/ai/components/api/smartadapter/wisej.ai.adapters.smartchartadapter.md)
    * [SmartChartJS3Adapter](/ai/components/api/smartadapter/wisej.ai.adapters.smartchartjs3adapter.md)

Represents an adapter that enhances a ChartJS control with several AI features.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SmartChartJS3Adapter : SmartChartAdapter
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SmartChartJS3Adapter
    Inherits SmartChartAdapter
```

{% endtab %}
{% endtabs %}

This class extends the functionality of the ChartJS3 control by integrating AI capabilities. It is part of the SmartAdapter API category and does not allow multiple extensions.

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) SmartChartJS3Adapter()

Initializes a new instance of [SmartChartJS3Adapter](/ai/components/api/smartadapter/wisej.ai.adapters.smartchartjs3adapter.md).

## Properties

### ![](/files/ptrKjmmRoQB76pvrIqh0) ChartJS3

[ChartJS3](https://docs.wisej.com/api?q=wisej.web.ext.chartjs3.chartjs3): Gets the ChartJS3 control associated with this adapter.

This property is not browsable in the property grid and is hidden from designer serialization.

## Methods

### ![](/files/KL0Ik37djZRr8a07Wopd) OnControlCreated(control)

Called when a control is created.

| Parameter   | Type                                                      | Description                   |
| ----------- | --------------------------------------------------------- | ----------------------------- |
| **control** | [Control](https://docs.wisej.com/api?q=wisej.web.control) | The control that was created. |

This method initializes the ChartJS3Tools with the associated ChartJS3 control. It ensures that the base class's OnControlCreated method is also called.

## Implements

| Name                                                                              | Description                                |
| --------------------------------------------------------------------------------- | ------------------------------------------ |
| [IToolProvider](/ai/components/api/smarttool/wisej.ai.smarttool.itoolprovider.md) | Represents a provider that supplies tools. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.adapters.smartchartjs3adapter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
